BBG Bugs - Bug #1969

[ESS] Perubahan Validasi dalam Proses Approval ESS
01/30/2023 10:34 AM - Mega Yunita

Status: Closed Start date: 01/30/2023
Priority: Urgent Due date: 01/31/2023
Assignee: Fiona Avangeline Jonathan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 9.50 hours
Description

Dear Azid,

Mohon bantuannya untuk melakukan perubahan validasi dalam proses approval ESS, yaitu :

1. Approval membaca Organization Level

2. Jika kosong atau vacant, Approval tidak lagi dirahkan ke Admin

3. Jika memang tidak ditemukan atau tidak ada organization levelnya, maka membaca struktur OM.

Contoh Data : menyusul
Port : http://remote.minovais.com:31123/

DB : MinovaES_BBG_Dev
Server : remote.minovais.com, 1438\MSSQLSERVER2014

History

#1 - 01/30/2023 11:21 AM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

ini untuk semua ESS nya? atau ESS tertentu saja?

#2 - 01/30/2023 12:05 PM - Mega Yunita

untuk ESS Travel

#3 - 02/01/2023 03:10 PM - Mega Yunita

Saya melakukan penambahan dan perubahan data di table PHROMORGLVL, yaitu :
00 Company

05 Directorate

10 Division

15 Department

20 Section

Saya menambahkan Division, dan merubah kode yang awalnya 00, 01, 02, 03. Menjadi
00, 05, 10, 15, 20

#4 - 02/01/2023 03:52 PM - Fiona Avangeline Jonathan
- File Backup Travel ESS BBG.xIsx added

Setting-an workflow yang dihapus

#5 - 02/01/2023 04:13 PM - M Azid Wahyudi

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Fiona Avangeline Jonathan
dear fiona ,, udah bisa di test ya

package :

update deftask perubahan ada di task parameter bizproz TRAVEL_AJTM:
Task ID :
http://remote.minovais.com:31123/

. apv_dir

. apv_dir_set

. apv_div

. apv_div_set

apv_ds

.apv_ds_set

. cond_creator_level

. cond_creator_level_set

Create Custparam :

1. ApvDivTRVAz

2. cond_TR_creator_level NEW
3. DirectSpvTRVAz

update Funtion SQL :
1. GetPositionHead

Create Function SQL :
1. YN_GetDirHead

2. YN_IsDirHead

3. YN_GetDivRegHead
4. YN_IsDivRegHead

makasih
#6 - 02/01/2023 04:47 PM - M Azid Wahyudi
note :

- kalau Organisasi level tidak sama maka querynya harus di sesuaiin

#7 - 02/02/2023 10:04 AM - Fiona Avangeline Jonathan
- Status changed from QA Test to Closed

Workflow sudah sesuai, terima kasih.

Files
Backup Travel ESS BBG.xlIsx 9.68 KB 02/01/2023 Fiona Avangeline Jonathan
